////////////////////////////////////////////////////////////////////////////
// CTaEditMovetoDlg クラスのインタフェース宣言
//
////////////////////////////////////////////////////////////////////////////

#if !defined( TAEDITMOVETODLG_H_INCLUDED_ )
#define TAEDITMOVETODLG_H_INCLUDED_

#include <Xm/XmAll.h>

#include "TaEdit_std.h"
#include "output/gui.h"

#include "ModalDlg.h"

class CTaEditMovetoDlg : public CMoveToDlg
{
public:
	CTaEditMovetoDlg();
	~CTaEditMovetoDlg();

	// ダイアログを表示
	int ShowDlg( int CurLine );

protected:
	void OnCreateTextField( Widget argWgt, XtPointer user_data );
	void OnCreate( Widget argWgt, XtPointer user_data );
	void OnCancel( Widget argWgt, XtPointer user_data );
	void OnClose( Widget argWgt, XtPointer user_data );
	void OnOK( Widget argWgt, XtPointer user_data );

	int m_Line;	// 入力された行番号

	CModalDlg m_ModalDlg;	// モーダルダイアログ管理用

	bool IsFirst;
};

#endif // TAEDITMOVETODLG_H_INCLUDED_

